org.apache.xmlbeans.impl.xb.ltgfmt

## Interface Code

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  CodeImpl

    public interface Code
    extends XmlObject

An XML code(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<Code>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getID()` Gets the "ID" attribute
`boolean` `isSetID()` True if has "ID" attribute
`void` `setID(String id)` Sets the "ID" attribute
`void` `unsetID()` Unsets the "ID" attribute
`XmlToken` `xgetID()` Gets (as xml) the "ID" attribute
`void` `xsetID(XmlToken id)` Sets (as xml) the "ID" attribute

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<Code> Factory

#### type

    static final SchemaType type

### Method Detail

#### getID

    String getID()

Gets the "ID" attribute

#### xgetID

    XmlToken xgetID()

Gets (as xml) the "ID" attribute

#### isSetID

    boolean isSetID()

True if has "ID" attribute

#### setID

    void setID(String id)

Sets the "ID" attribute

#### xsetID

    void xsetID(XmlToken id)

Sets (as xml) the "ID" attribute

#### unsetID

    void unsetID()

Unsets the "ID" attribute